###################################################
### chunk number 1: 
###################################################
#line 93 "d:/Rcompile/CRANpkg/local/2.12/ic.infer/inst/doc/ic.infer.rnw"
options(width=80)
options(prompt = "R> ", continue = "+  ", digits = 4, useFancyQuotes = FALSE) 
require(ic.infer, quietly=TRUE)
contrasts(grades$HSR) <- "contr.treatment"
contrasts(grades$ACTC) <- "contr.treatment"


###################################################
### chunk number 2: grades.unrestr
###################################################
#line 101 "d:/Rcompile/CRANpkg/local/2.12/ic.infer/inst/doc/ic.infer.rnw"
limo.grades <- lm(meanGPA ~ HSR + ACTC, grades, weights = n)
summary(limo.grades)


###################################################
### chunk number 3: bodyfat.unrestr
###################################################
#line 127 "d:/Rcompile/CRANpkg/local/2.12/ic.infer/inst/doc/ic.infer.rnw"
limo.bodyfat <- lm(BodyFat ~ ., bodyfat)
summary(limo.bodyfat)


###################################################
### chunk number 4: grades.unrestr.diff
###################################################
#line 164 "d:/Rcompile/CRANpkg/local/2.12/ic.infer/inst/doc/ic.infer.rnw"
grades.diff <- grades
## change contrasts to contr.diff
contrasts(grades.diff$HSR) <- "contr.diff"
contrasts(grades.diff$ACTC) <- "contr.diff"
## display contrasts
contrasts(grades.diff$HSR)
limo.grades.diff <- lm(meanGPA ~ HSR + ACTC, grades.diff, weights = n)
summary(limo.grades.diff)


###################################################
### chunk number 5: grades.contrasts
###################################################
#line 195 "d:/Rcompile/CRANpkg/local/2.12/ic.infer/inst/doc/ic.infer.rnw"
## originally, treatment contrasts
ui.treat <- make.mon.ui(grades$HSR)
ui.treat
ui.diff <- make.mon.ui(grades.diff$HSR)
ui.diff


###################################################
### chunk number 6: mon.means
###################################################
#line 208 "d:/Rcompile/CRANpkg/local/2.12/ic.infer/inst/doc/ic.infer.rnw"
## originally, treatment contrasts
make.mon.ui(5, type = "mean")


###################################################
### chunk number 7: 
###################################################
#line 228 "d:/Rcompile/CRANpkg/local/2.12/ic.infer/inst/doc/ic.infer.rnw"
options(width=100)


###################################################
### chunk number 8: grades.estHSR
###################################################
#line 231 "d:/Rcompile/CRANpkg/local/2.12/ic.infer/inst/doc/ic.infer.rnw"
HSRmon <- ic.est(coef(limo.grades)[2:9],
       ui = ui.treat, 
       Sigma = vcov(limo.grades)[2:9, 2:9])
HSRmon


###################################################
### chunk number 9: grades.estHSReq
###################################################
#line 242 "d:/Rcompile/CRANpkg/local/2.12/ic.infer/inst/doc/ic.infer.rnw"
HSReq <- ic.est(coef(limo.grades)[2:9],
       ui = ui.treat, 
       Sigma = vcov(limo.grades)[2:9, 2:9], meq = 3)
HSReq


###################################################
### chunk number 10: grades.summaryHSR
###################################################
#line 253 "d:/Rcompile/CRANpkg/local/2.12/ic.infer/inst/doc/ic.infer.rnw"
summary(HSRmon)


###################################################
### chunk number 11: grades.testHSR1
###################################################
#line 317 "d:/Rcompile/CRANpkg/local/2.12/ic.infer/inst/doc/ic.infer.rnw"
summary(ic.test(HSReq), brief = FALSE)


###################################################
### chunk number 12: grades.testHSR2
###################################################
#line 324 "d:/Rcompile/CRANpkg/local/2.12/ic.infer/inst/doc/ic.infer.rnw"
summary(ic.test(HSReq, TP = 2))


###################################################
### chunk number 13: grades.testHSR11
###################################################
#line 335 "d:/Rcompile/CRANpkg/local/2.12/ic.infer/inst/doc/ic.infer.rnw"
HSReq.large <- ic.est(coef(limo.grades),
       ui = ui.treat, 
       Sigma = vcov(limo.grades), index = 2:9, meq = 3)
summary(ic.test(HSReq.large, TP = 11,
       ui0.11 = cbind(rep(0, 16), diag(1, 16))))


###################################################
### chunk number 14: grades.testHSR21
###################################################
#line 350 "d:/Rcompile/CRANpkg/local/2.12/ic.infer/inst/doc/ic.infer.rnw"
summary(ic.test(HSReq, TP = 21, meq.alt = 2))


###################################################
### chunk number 15: grades.orlmHSR
###################################################
#line 433 "d:/Rcompile/CRANpkg/local/2.12/ic.infer/inst/doc/ic.infer.rnw"
orlimo.grades <- orlm(limo.grades,
       ui = ui.treat, index = 2:9)
summary(orlimo.grades, brief = TRUE)


###################################################
### chunk number 16: bodyfat.orlm
###################################################
#line 451 "d:/Rcompile/CRANpkg/local/2.12/ic.infer/inst/doc/ic.infer.rnw"
orlimo.bodyfat <- orlm(limo.bodyfat,
       ui = diag(1,3), boot = TRUE)
summary(orlimo.bodyfat)


###################################################
### chunk number 17: bodyfat.orrelimp
###################################################
#line 528 "d:/Rcompile/CRANpkg/local/2.12/ic.infer/inst/doc/ic.infer.rnw"
or.relimp(limo.bodyfat, ui = diag(1, 3))


###################################################
### chunk number 18: 
###################################################
#line 535 "d:/Rcompile/CRANpkg/local/2.12/ic.infer/inst/doc/ic.infer.rnw"
require(relaimpo, quietly=TRUE)


###################################################
### chunk number 19: bodyfat.calcrelimp
###################################################
#line 539 "d:/Rcompile/CRANpkg/local/2.12/ic.infer/inst/doc/ic.infer.rnw"
calc.relimp(limo.bodyfat)$lmg


